﻿using MultiLayout.UiModule;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLY.Thick.FilmCasting.UI.UiModule
{
    /// <summary>
    /// 纵向图的参数
    /// </summary>
    public class TrendGraphItemParam : UIModuleParam
    {
        /// <summary>
        /// 间隔, 只显示 ID % Interval == 0 的数
        /// </summary>
        public int Interval { get; set; } = 1;

        /// <summary>
        /// Y轴比例
        /// </summary>
        public double YRangePercent { get; set; } = 3;

        /// <summary>
        /// 混合图
        /// </summary>
        public int Mix { get; set; } = 1;
    }
}
