﻿using Newtonsoft.Json.Linq;

namespace WSCF
{

    public class Reflect_OBJ_INTERFACE
    {
        public const string paramName_asyncDelegate = "asyncDelegate";
        public const string paramName_asyncContext = "asyncContext";

        /// <summary>
        /// PkgData 的 data 实体
        /// </summary>
        public class NameData
        {
            public string name;
            public JToken data;
        }


        /// <summary>
        /// 
        /// </summary>
        public class PkgData
        {
            /// <summary>
            /// 客户端 中全局唯一 交易 id
            /// </summary>
            public string guid;

            /// <summary>
            /// PkgName 的 string 
            /// </summary>
            public string name;

            /// <summary>
            /// 数据包实体
            /// </summary>
            public JToken data;

            public PkgData() { }

            /// <summary>
            /// 正向控制 通讯包
            /// </summary>
            /// <param name="name"></param>
            /// <param name="guid"></param>
            /// <param name="data"></param>
            public PkgData(string name, string guid, JToken data)
            {
                this.name = name;
                this.guid = guid;
                this.data = data;
            }
        }
    }
}
